name: click2snap
base: core
version: '0.0.1'
summary: Snap packages ubuntu touch libraries for re-use in other snaps
description: |
  Snap packages ubuntu touch libraries for re-use in other snaps

grade: stable
confinement: strict
architectures:
 - build-on: [amd64, arm64]

parts:
# adds the necessary PPA for grabbing ubports packages
  ubports-ppa:
    plugin: nil
    override-pull: |
      echo "deb [trusted=yes] http://repo.ubports.com xenial main" | tee /etc/apt/sources.list.d/custom.list
      apt update
      apt upgrade -yy
    build-packages:
     - software-properties-common
     - dirmngr

  packages:
    plugin: nil  
    stage-packages:
# pyOtherside needs this to function       
       - python3-setuptools      
# priming complained about the lack of these 3
       - freeglut3
       - libgpm2
       - libglu1-mesa  
# missing QML bits
       - qml-module-qtquick-privatewidgets
       - qml-module-qtquick-window2  
       - qml-module-qtquick-controls
       - qml-module-qtwebengine
       - qml-module-qtquick-controls2-suru
       - qml-module-ubuntu-layouts
       - qml-module-ubuntu-settings-components
# this one dependency (well, almost one)
       - ubuntu-sdk-libs
    after: 
      - ubports-ppa

# brings in the snapcraft-specific desktop tools to launch apps build wit qt5
  desktop-qt5:
    source: https://github.com/ubuntu/snapcraft-desktop-helpers.git
    source-subdir: qt
    plugin: make
    make-parameters: ["FLAVOR=qt5"]
    build-packages:
      - build-essential
      - qtbase5-dev
      - dpkg-dev
    stage-packages:
      - libxkbcommon0
      - ttf-ubuntu-font-family
      - dmz-cursor-theme
      - light-themes
      - adwaita-icon-theme
      - gnome-themes-standard
      - shared-mime-info
#      - libqt5gui5 brought in by packages
      - libgdk-pixbuf2.0-0
#      - libqt5svg5 # brought in by packages
#      - try: [appmenu-qt5] # unmet dependencies
      - locales-all
      - xdg-user-dirs
#      - libqt5core5a brought in by packages
#      - fcitx-frontend-qt5 # unmet dependencies   
    filesets:
# mir is brought in by packages
      exclude-mir-files:
       - -usr/lib/x86_64-linux-gnu/libmir*
       - -usr/lib/x86_64-linux-gnu/libprotobuf-lite.so.9.0.1
       - -usr/share/doc
    stage:
       - $exclude-mir-files
